Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption Class Reference

`#include <Services.h>`

Inheritance diagram for CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption:

[legend]
Collaboration diagram for CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption (void)
| _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption (CORBA::ULong maximum, CORBA::ULong length, CORBA::ULong *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption (const _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption &rhs)
_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption & | operator= (const _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption &rhs)
virtual | ~_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption (void)
CORBA::ULong & | operator[] (CORBA::ULong i)
const CORBA::ULong & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero. More...
CORBA::ULong * | get_buffer (CORBA::Boolean orphan=0)
const CORBA::ULong * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, CORBA::ULong *data, CORBA::Boolean release)
## Static Public Methods
CORBA::ULong * | allocbuf (CORBA::ULong size)
void | freebuf (CORBA::ULong *buffer)

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption | ( | CORBA::ULong | maximum | ) |

ACE_INLINE CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | CORBA::ULong * | data,
|  | CORBA::Boolean | release = 0
| ) |

CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption | ( | const _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption & | rhs | ) |

virtual CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::~_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

virtual void CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

ACE_INLINE CORBA::ULong * CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

ACE_INLINE void CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::freebuf | ( | CORBA::ULong * | buffer | ) | `[static]`

ACE_INLINE const CORBA::ULong * CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::get_buffer | ( | void |  | ) | const

ACE_INLINE CORBA::ULong * CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption& CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::operator= | ( | const _TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption & | rhs | ) |

ACE_INLINE const CORBA::ULong & CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::operator[] | ( | CORBA::ULong | i | ) | const

ACE_INLINE CORBA::ULong & CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::operator[] | ( | CORBA::ULong | i | ) |

ACE_INLINE void CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::ULong * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- Services.h
- Services.i